# Add-RASThemeCustomImage.md

## NAME

Add-RASThemeCustomImage

## SYNOPSIS

Add a theme custom image.

## SYNTAX

\*\*Add-RASThemeCustomImage -[ImageFile](#imagefile-string) *(string)* \[[Name](#name-string) *(string)*] \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Add a theme custom image.

## PARAMETERS

## Name (string)

Theme custom image name.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID in which to create the theme custom image.

If the parameter is omitted, the site ID of the Licensing Server will be used.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ImageFile (string)

Image file path of the image to be added to the Theme Custom Images list.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Add-RASThemeCustomImage -ImageFile "C:\temp\image.png"

Add a theme custom image to the list of theme custome images of the Licensing site.

## RELATED LINKS

* [Get-RASTheme](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rastheme.md)
* [Get-RASThemeCustomImage](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasthemecustomimage.md)
* [Set-RASThemeCustomImage](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasthemecustomimage.md)
* [Remove-RASThemeCustomImage](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasthemecustomimage.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-rasthemecustomimage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
